package cn.wise.sc.pay.common.security.authentication;

import lombok.Data;
import org.springframework.security.authentication.dao.DaoAuthenticationProvider;
import org.springframework.security.core.GrantedAuthority;

import java.util.Collection;
import java.util.Map;

@Data
public class BaseUserDetailsImpl implements BaseUserDetails {

    private String phone;
    private String uid;

    private String username;

    private String orgganId;

    private String headImage;

    private String password;

    @Override
    public String getUid() {
        return uid;
    }

    @Override
    public Map<String, Object> getMoreUserInfo() {
        return null;
    }

    @Override
    public Collection<? extends GrantedAuthority> getAuthorities() {
        return null;
    }

    @Override
    public String getPassword() {
        return null;
    }

    @Override
    public String getUsername() {
        return username;
    }

    @Override
    public boolean isAccountNonExpired() {
        return true;
    }

    @Override
    public boolean isAccountNonLocked() {
        return true;
    }

    @Override
    public boolean isCredentialsNonExpired() {
        return true;
    }

    @Override
    public boolean isEnabled() {
        return true;
    }

    /**
     * Construct the <code>User</code> with the details required by
     * {@link DaoAuthenticationProvider}.
     *
     * @param uid                    用户ID
     * @param username                部门ID
     * @param orgganId              租户ID
     * @param headImage              the username presented to the
     * @param phone              the username presented to the
     * @throws IllegalArgumentException if a <code>null</code> value was passed either as
     *                                  a parameter or as an element in the <code>GrantedAuthority</code> collection
     */
    public BaseUserDetailsImpl(String uid,
                    String orgganId,
                    String headImage,
                    String phone,
                    String username) {
        this.username = username;
        this.password = "N/A";
        this.uid = uid;
        this.phone = phone;
        this.headImage = headImage;
        this.orgganId = orgganId;
    }
}
