package cn.wise.sc.pay.common.swagger;

//import cn.wise.sc.pay.common.swagger.config.SwaggerAutoConfiguration;
import cn.wise.sc.pay.common.swagger.config.Swagger2Configuration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 开启 swagger
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
//@Import({SwaggerAutoConfiguration.class})
@Import({Swagger2Configuration.class})
public @interface EnableWiseSwagger2 {
}
