package cn.wise.sc.pay.laas.userbac.business.service;


import cn.wise.sc.pay.laas.userbac.domain.entity.SysRoleDept;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 角色菜单表 服务类
 * </p>
 */
public interface RoleDeptService extends IService<SysRoleDept> {

	/**
	 *
	 * @param roleIds  角色ID拼成的字符串
	 * @param deptId 部门id
	 * @return
	 */
	Boolean saveRoleDept(String roleIds, Integer deptId);

    /**
     *
	 * @param deptId 部门id
	 * @return
     */
	List<SysRoleDept> getRoleDepts(Integer deptId);
}
