package cn.wise.sc.pay.pass.business.manager.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 虚拟用户
 * @author: qh
 * @create: 2020-06-05 10:32
 **/
@Data
@ApiModel("虚拟用户")
public class VirtualUserQuery {

    @ApiModelProperty(value = "虚拟用户的头像", required = true)
    private String cover;

    @ApiModelProperty(value = "虚拟用户的名字", required = true)
    private String name;

}
