package cn.wise.sc.pay.business.association.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.association.bean.Blacklist;
import cn.wise.sc.pay.domain.association.query.BlacklistQuery;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface IBlacklistService extends IService<Blacklist> {

    /**
     * 添加黑名单用户
     * @param blacklistQuery
     * @return
     */
    BaseResponse addBlacklist(BlacklistQuery blacklistQuery);
}
