package cn.wise.sc.pay.api.eshopping.service.hystrix;

import cn.wise.sc.pay.api.eshopping.service.IEshopGoodsService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.query.CalCulate;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopGoodsQuery;
import org.springframework.stereotype.Component;

import javax.validation.Valid;
import javax.validation.constraints.DecimalMin;

@Component
public class EshopGoodsServiceImpl implements IEshopGoodsService {


    /**
     * 服务异常
     *
     * @return
     */
    private BaseResponse error() {
        throw new RuntimeException("商品服务异常,请检查服务状态!");
    }

    @Override
    public BaseResponse addGoods(@Valid EshopGoodsQuery eshopGoodsQuery) {
        error();
        return null;
    }

    @Override
    public BaseResponse updateGoods(@Valid EshopGoodsQuery eshopGoodsQuery) {
        error();
        return null;
    }

    @Override
    public BaseResponse goodsPage(String name, Integer marketEnable, @DecimalMin("0") Integer pageNo, Integer pageSize) {
        error();
        return null;
    }

    @Override
    public BaseResponse deleteGoods(Integer id) {
        error();
        return null;
    }

    @Override
    public BaseResponse updateGoodsStatus(Integer goodsId, Integer marketEnable, String underMessage) {
        error();
        return null;
    }

    @Override
    public BaseResponse conditionGoodsPage(Integer categoryId, Integer price, Integer createTime, Integer multiple, @DecimalMin("0") Integer pageNo, Integer pageSize) {
        error();
        return null;
    }

    @Override
    public BaseResponse goodsDetail(Integer goodsId) {
        return BaseResponse.hystrixError("qh");
    }

    @Override
    public BaseResponse calculatePrice(CalCulate calCulate) {
        error();
        return null;
    }

    @Override
    public BaseResponse incrCommentNumById(Integer id) {
        error();
        return null;
    }
}
