package cn.wise.sc.pay.domain.exhibition.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description:
 * @author: qh
 * @create: 2019-11-18 16:43
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ExhibitionTypeQuery implements Serializable {

    private static final long serialVersionUID = -2096375760345306326L;
    /**
     * 父级id
     */
    private Long parentId;

    /**
     * 排序
     */
    private Integer sort = 1;

    /**
     * 类型名
     */
    private String name;
}
