package cn.wise.sc.pay.domain.exhibition.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 票务赠与请求对象
 * @author: qh
 * @create: 2020-06-08 15:53
 **/
@Data
@ApiModel("票务赠与")
public class QRCodeGiftQuery {

    /**
     * 票据加密信息
     */
    @ApiModelProperty("票据加密信息")
    private String QRCodeStr;

    /**
     * 获赠人Id
     */
    @ApiModelProperty("获赠人Id")
    private Long newUserId;

}
