package cn.wise.sc.pay.domain.exhibition.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description:
 * @author: qh
 * @create: 2019-11-22 10:15
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TicketQuery {

    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 价格
     */
    private Double price;

    /**
     * 优惠价格
     */
    private Double discountPrice;

    /**
     * 类型
     */
    private String type;

    /**
     * 活动类型
     */
    private String activityType;

    /**
     * 总价
     */
    private Integer totalPublish;

    /**
     * 单人限售
     */
    private Integer singleSold;

}
