package cn.wise.sc.pay.domain.exhibition.vo;

import cn.wise.sc.pay.domain.exhibition.bean.TicketNotice;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description:
 * @author: qh
 * @create: 2019-11-20 15:47
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TicketNoticeVO implements Serializable {

    private static final long serialVersionUID = -7432736134559122005L;

    private Long id;
    /**
     * 标题
     */
    private String title;

    /**
     * 详情
     */
    private String describe;

    public TicketNoticeVO(TicketNotice ticketNotice) {

        this.id = ticketNotice.getId();
        this.title = ticketNotice.getTitle();
        this.describe = ticketNotice.getDescribe();
    }
}
