package cn.wise.sc.pay.api.merchant.service.hystrix;

import cn.wise.sc.pay.api.merchant.service.ITransportationHubService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.domain.merchant.bean.TransportationHub;
import org.springframework.stereotype.Component;

/**
 * @description: 交通枢纽断路器
 * @author: qh
 * @create: 2020-06-09 15:55
 **/
@Component(value = "TransportationHubServiceImplHy")
public class TransportationHubServiceImpl implements ITransportationHubService {
    @Override
    public BaseResponse list(PageWrapperQuery pageWrapperQuery) {
        return BaseResponse.error("没有找到相关数据!",TransportationHub.class.getName());
    }

    @Override
    public BaseResponse page(PageWrapperQuery page) {
        return BaseResponse.error("没有找到相关数据!",TransportationHub.class.getName());

    }

    @Override
    public BaseResponse getById(long id) {
        return BaseResponse.error("没有找到相关数据!",TransportationHub.class.getName());

    }

    @Override
    public BaseResponse create(TransportationHub model) {
        return BaseResponse.error("添加失败!",TransportationHub.class.getName());

    }

    @Override
    public BaseResponse update(TransportationHub model) {
        return BaseResponse.error("更新失败!",TransportationHub.class.getName());

    }

    @Override
    public BaseResponse delById(long id) {
         return BaseResponse.error("删除失败!",TransportationHub.class.getName());

    }
}
