package cn.wise.sc.pay.business.merchant;

import cn.wise.sc.pay.business.merchant.mapper.BankPermitMapper;
import cn.wise.sc.pay.common.swagger.EnableWiseSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
 * @author neo.shu
 * @since 2019/11/5 20:23
 */
@EnableDiscoveryClient
@SpringBootApplication
@EnableWiseSwagger2
@MapperScan(basePackageClasses = BankPermitMapper.class)
public class MerchantApplication {

    public static void main(String[] args) {
        SpringApplication.run(MerchantApplication.class, args);
    }
}
