package cn.wise.sc.pay.business.merchant.service;

import cn.wise.sc.pay.domain.merchant.bean.BusinessLicense;
import cn.wise.sc.pay.domain.merchant.query.BusinessLicenseQuery;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface IBusinessLicenseService extends IService<BusinessLicense> {

    /**
     * 添加商户营业执照信息
     * @param licenseQuery
     * @return
     */
    ResponseEntity insertBusinessLicense(BusinessLicenseQuery licenseQuery);

    /**
     * 更新营业信息成功
     * @param license
     * @return
     */
    ResponseEntity updateLicense(BusinessLicense license);
}
