package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName device
 * @Description :
 * @Author lqk
 * @Date 2019/12/17
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Device extends Model<Device> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private Long merchId;

    private String merchName;

    private String deviceCode;

    private Integer typeId;

    private String typeName;

    private String uniqueFlag;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
