package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2020-06-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TransportationHub extends Model<TransportationHub> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 类型
     */
    private String type;

    /**
     * 站点名
     */
    private String siteName;

    /**
     * 路线名
     */
    private String routeName;

    /**
     * 路线图
     */
    private String imgUrl;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
