package cn.wise.sc.pay.domain.merchant.query;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName Merchant
 * @Description :商家或者店铺
 * @Author lqk
 * @Date 2019/12/17
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProfitAllocationQuery extends Model<ProfitAllocationQuery> {

    private static final long serialVersionUID = 1L;

    /**
     * 商户id
     */
    private Long merchId;
    /**
     * 支付方式
     */
    private String payment;
    /**
     * 奥索分润比例 以1000为基数
     */
    private Integer aosRate;
    /**
     * 招行分润比例 以1000为基数
     */
    private Integer cmbRate;
    /**
     * 商户分润比例 以1000为基数
     */
    private Integer merchRate;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
