package cn.wise.sc.payment.cmb.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-18 17:56
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ServicePayParams extends BaseQuery {


    /**
     * 版本号
     */
    private String version;
    /**
     * 编码方式
     */
    private String encoding;
    /**
     * 签名
     */
    private String sign;
    /**
     * 签名方法 01：RSA2
     */
    private String signMethod;
    /**
     * 商户号 商户在招行完成商户进件后分配的招行商户号
     */
    private String merId;
    String deviceInfo;
    String orderId;
    String tradeScene;
    String userId;
    String body;
    String mchReserved;
    String timeoutExpress;
    String notifyUrl;
    String txnAmt;
    String currencyCode;
    String disablePayChannels;
    String buyerLogonId;
    String buyerId;
    String identity;
    String policyNo;
    String region;
}
