package cn.wise.sc.payment.wx.model;

import cn.wise.sc.payment.core.model.BaseModel;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

/**
 * <p>企业付款到零钱 Model</p>
 */
@Builder
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@Getter
public class TransferModel extends BaseModel {
    private String mch_appid;
    private String mchid;
    private String device_info;
    private String nonce_str;
    private String sign;
    private String partner_trade_no;
    private String openid;
    private String check_name;
    private String re_user_name;
    private String amount;
    private String desc;
    private String spbill_create_ip;
}
