package cn.wise.sc.pay.business.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.point.bean.SignInTime;
import cn.wise.sc.pay.domain.point.query.SignInTimesQuery;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author qh
 * @since 2020-03-12
 */
public interface ISignInTimeService extends IService<SignInTime> {

    /**
     * 更新或者添加一条签到记录
     * @param signInTimeQuery
     * @return
     */
    BaseResponse updateOrAdd(SignInTimesQuery signInTimeQuery);
}
