package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@Builder
@AllArgsConstructor
public class MemberPoint extends Model<MemberPoint> {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 会员设置类型
     */
    private Integer setType;

    /**
     * 会员等级id
     */
    private Long memberLevelId;

    /**
     * 会员积分值
     */
    private Double memberScore;

    /**
     * 途径
     */
    private String pathWay;

    /**
     * 赠送还是消费  0 赠送，1消费
     */
    private Integer typeFlag;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
