package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 用户额外业务属性表  积分 会员等级
 * @author: qh
 * @create: 2020-01-06 10:56
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("user_extra")
public class UserExtra {

    private Long userId;

    private Long membershipId;

    private Double experience;

    private Double points;

    @TableField(exist = false)
    private String memberShipName;

}