package cn.wise.sc.pay.domain.point.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(description = "按天累计积分值传参对象")
public class CumulativeScoreQuery implements Serializable {
    /**
     *
     */
    @ApiModelProperty(value = "0、1、2，分别对应：基础积分、每天累计、清0天数")
    private Integer cumulativeFlag;
    /**
     *
     */
    @ApiModelProperty(value = "积分值")
    private Integer cumulativeScore;
}
