package cn.wise.sc.pay.domain.point.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 积分会员等级关系
 * @author: qh
 * @create: 2019-11-14 13:56
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MembershipPointQuery implements Serializable {

    private static final long serialVersionUID = -3499377401298033994L;

    private Long membershipId;

    private Double score;

}
