package cn.wise.sc.pay.domain.point.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 积分详情请求参数
 * @author: qh
 * @create: 2019-12-31 09:55
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PointDetailQuery implements Serializable {

    private long id;

    /**
     * 积分途径
     */
    private String pathWay;

    /**
     * 增/减
     */
    private int inOrOut;

    /**
     * 具体分数
     */
    private double score;

    /**
     * 用户id
     */
    private long userId;

}
