package cn.wise.sc.pay.domain.point.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CumulativeScoreVo implements Serializable {
    /**
     *
     */
    @ApiModelProperty(value = "0、1、2，分别对应：基础积分、每天累计、清0天数")
    private Integer cumulativeFlag;
    /**
     *
     */
    @ApiModelProperty(value = "积分值")
    private Integer cumulativeScore;

    /**
     *
     */
    @ApiModelProperty(value = "0、1、2，分别对应：基础积分、每天累计、清0天数")
    private String cumulativeName;

}
