package cn.wise.sc.pay.business.sms.utils;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import com.aliyuncs.CommonRequest;
import com.aliyuncs.CommonResponse;
import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.IAcsClient;
import com.aliyuncs.exceptions.ClientException;
import com.aliyuncs.exceptions.ServerException;
import com.aliyuncs.http.MethodType;
import com.aliyuncs.profile.DefaultProfile;

public class AliYunSmsUtil {

    //产品域名
    private static String domain = "dysmsapi.aliyuncs.com";

    // 这个填写自己的 accessKeyId
    private static String accessKeyId = "LTAI4Fkm1v3aeHJCBUuHDAqZ";

    private static String accessKeySecret = "kM4KJZWq8aspiQ5Gs1jJbgMmm1q8AC";
    // 必填:短信签名-可在短信控制台中找到
    private static String signName = "oxo情报所";
    // 必填:短信模板-可在短信控制台中找到
    private static String templateCode = "SMS_184631756";
    //地域位置
    private static String regionId = "cn-hangzhou";

    public static BaseResponse sendSms(String telephone, String code) throws ClientException {
        DefaultProfile profile = DefaultProfile.getProfile(regionId, accessKeyId, accessKeySecret);
        IAcsClient client = new DefaultAcsClient(profile);
        //构建请求
        CommonRequest request = new CommonRequest();
        request.setSysMethod(MethodType.POST);
        request.setSysDomain(domain);
        request.setSysAction("SendSms");
        request.setSysVersion("2017-05-25");
        request.putQueryParameter("PhoneNumbers", telephone);
        request.putQueryParameter("RegionId", regionId);
        request.putQueryParameter("SignName", signName);
        request.putQueryParameter("TemplateCode", templateCode);
        // 可选:模板中的变量替换JSON串,如模板内容为"亲爱的用户,您的验证码为${code}"时,此处的值为
        request.putQueryParameter("TemplateParam", "{\"code\":\"" + code + "\"}");
        try {
            CommonResponse response = client.getCommonResponse(request);
            return BaseResponse.ok(response.getData());
        } catch (ServerException e) {
            return BaseResponse.error(e.getErrMsg(), AliYunSmsUtil.class.getName());
        } catch (ClientException e) {
            return BaseResponse.error(e.getErrMsg(), AliYunSmsUtil.class.getName());
        }
    }
}
