package cn.wise.sc.pay.task.timer.order;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @description: 订单定时任务启动类
 * @author: qh
 * @create: 2020-01-13 16:53
 **/

@SpringBootApplication
@EnableDiscoveryClient
@EnableTransactionManagement
public class OrderTimerTaskApplication {
    public static void main(String[] args) {
        SpringApplication.run(OrderTimerTaskApplication.class, args);
    }
}
