package cn.wise.sc.pay.common.mq.task;

import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class Producer {

    @Autowired
    private RabbitTemplate rabbitTemplate;

    /**
     * 发送消息
     * @param routeKey 路由键
     * @param msg
     */
    public void send(String routeKey, String msg) {

        this.rabbitTemplate.convertAndSend(routeKey, msg);
    }

}