package cn.wise.sc.pay.business.goods.model.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-03 15:08
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsTypeQuery {

    private long id;

    /**
     * 类型名
     */
    private String name;

    /**
     * 父级id
     */
    private long parentId;

    /**
     * 商户id
     */
    private long sellerId;
    /**
     * 是否有用，0:默认是 1:不再使用
     */
    private short  status;
}
