package cn.wise.sc.pay.business.goods.util;

import cn.wise.sc.pay.business.goods.model.GoodsStatus;

/**
 * @description: 商品状态工具类
 * @author: qh
 * @create: 2020-01-09 11:14
 **/
public class GoodsStatusUtil {

    /**
     * 根据商品状态码 返回中文
     *
     * @param status
     * @return
     */
    public static String getStatus(Integer status) {

        if (status == GoodsStatus.Unshelve.getCode().intValue()) {
            return "已下架";
        }
        if (status == GoodsStatus.Selling.getCode().intValue()) {
            return "售卖中";
        }
        if (status == GoodsStatus.WaitAudit.getCode().intValue()) {
            return "待审核";
        }
        return "审核不通过";
    }

}
