package cn.wise.sc.pay.pass.business.app.controller.eshop;

import cn.wise.sc.pay.api.eshopping.service.IEshopTypeService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopTypeQuery;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@RestController
@Api(description = "商品分类")
@RequestMapping("/app/eshop/type")
@CrossOrigin
@Validated
public class EshopTypeController {

    @Autowired
    IEshopTypeService eshopTypeService;

    @GetMapping("typeTree")
    public BaseResponse goodsTypeTree(){
        return eshopTypeService.goodsTypeTree();
    }

}

