package cn.wise.sc.pay.api.association.service;

import cn.wise.sc.pay.business.comment.bean.Comment;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import org.springframework.stereotype.Component;

@Component("ArticleCommentServiceImpl")
public class ArticleCommentServiceImpl implements IArticleCommentService {
    @Override
    public BaseResponse addComment(Comment comment) {
        return BaseResponse.error("添加评论失败!", this.getClass());
    }

    @Override
    public BaseResponse deleteComment(String idStr) {
        return BaseResponse.error("删除评论失败!", this.getClass());
    }

    @Override
    public BaseResponse updateCommentPraise(Long id) {

        return BaseResponse.ok("点赞成功！");
    }

    @Override
    public BaseResponse getCommentList(PageQuery pageQuery) {
        return BaseResponse.error("数据加载超时!", this.getClass());
    }

    @Override
    public BaseResponse getCommentsByTargetId(Long targetId, Integer pageNo, Integer pageSize) {
        return BaseResponse.error("数据加载超时!", this.getClass());
    }
}
