package cn.wise.sc.pay.api.cashier.service.impl;

import cn.wise.sc.pay.api.cashier.service.IGoodsService;
import cn.wise.sc.pay.business.goods.model.GoodsResponse;
import cn.wise.sc.pay.business.goods.model.bean.Goods;
import cn.wise.sc.pay.business.goods.model.query.GoodsQuery;
import cn.wise.sc.pay.business.goods.model.query.GoodsScanQuery;
import cn.wise.sc.pay.business.goods.model.query.GoodsTypeQuery;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 *
 * @author qh
 */
@Component
public class GoodsServiceImplHystrix implements IGoodsService {


    @Override
    public BaseResponse list(int sellerId, String key, String type, int status) {
        return null;
    }

    @Override
    public BaseResponse listUser(String key, String type, int status) {
        return null;
    }

    @Override
    public BaseResponse getGoodsSpc(int goodsId) {
        error();
        return null;
    }

    @Override
    public BaseResponse getGoods(int goodsId) {
        error();
        return null;
    }

    @Override
    public BaseResponse newGoods(GoodsQuery goodsQuery) {
        return BaseResponse.error("服务调用错了",goodsQuery);
    }


    @Override
    public BaseResponse edit(GoodsQuery goodsQuery) {
        error();
        return null;
    }

    @Override
    public BaseResponse delete(int goodsId, int sellerId) {
        error();
        return null;
    }

    @Override
    public BaseResponse deleteSpc(int spcId, int sellerId) {
        error();
        return null;
    }

    @Override
    public BaseResponse deleteSpcDetal(int detailId, int sellerId) {
        error();
        return null;
    }

    @Override
    public BaseResponse shelveGoods(int goodsId, int sellerId) {
        error();
        return null;
    }

    @Override
    public BaseResponse unShelveGoods(int goodsId, int sellerId) {
        error();
        return null;
    }

    @Override
    public GoodsResponse unShelveGoods(int goodsId, int sellerId, String cause) {
        return null;
    }

    @Override
    public BaseResponse getWaitingAuditList(PageQuery pageQuery, String key, Long shopId, String goodsType) {
        return null;
    }

    @Override
    public BaseResponse auditGoods(long goodsId, int status, String cause) {
        return null;
    }

    @Override
    public BaseResponse list(PageQuery pageQuery, String key, long shopId, String goodsType) {
        return null;
    }

    @Override
    public BaseResponse newGoodsType(GoodsTypeQuery typeQuery) {
        error();
        return null;
    }

    @Override
    public BaseResponse typeList(int sellerId, short status) {
        return null;
    }


    @Override
    public BaseResponse editType(GoodsTypeQuery typeQuery) {
        error();
        return null;
    }

    @Override
    public BaseResponse delType(int id, int sellerId) {
        error();
        return null;
    }

    @Override
    public BaseResponse delTypeAndUnShelveGoods(int id, int sellerId) {
        return null;
    }

    @Override
    public BaseResponse<Goods> scanAddGoods(GoodsScanQuery goodsScanQuery) {
        error();
        return null;
    }

    @Override
    public BaseResponse<Goods> getGoodsInfoByCode(String code) {
        error();
        return null;
    }

    @Override
    public BaseResponse<Goods> batchAdd(List<GoodsSpecExcel> data) {
        return null;
    }

    @Override
    public List<GoodsSpecExcel> getAllGoodsSpc() {
        return null;
    }

    @Override
    public List<Goods> getByGoodIds(List<Long> ids) {
        return null;
    }

    @Override
    public BaseResponse<String> updateField1(Long id, String field1) {
        return null;
    }


    /**
     * 服务异常
     *
     * @return
     */
    private BaseResponse error() {
        throw new RuntimeException("服务异常,请检查服务状态!");
    }
}
