package cn.wise.sc.pay.business.eshopping;

import cn.wise.sc.pay.common.swagger.EnableWiseSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author neo.shu
 * @since 2019/11/5 20:23
 */
@EnableDiscoveryClient
@SpringBootApplication
@EnableWiseSwagger2
@EnableTransactionManagement
public class EshoppingApplication {

    public static void main(String[] args) {

        SpringApplication.run(EshoppingApplication.class, args);
    }
}
