package cn.wise.sc.pay.business.eshopping.utils;

/**
 * @description: redis对象
 * @author: qh
 * @create: 2020-03-25 10:16
 **/
public class RedisObjConstant {

    /**
     * 库存前缀  完整:ES_GOODS_STORE_{#GoodsId}
     */
    public static final String PRX = "ES_GOODS_STORE_";

    /**
     * redis分布锁前缀  完整:LOCK_ES_GOODS_STORE_{#GoodsId}
     */
    public static final String LOCK_PRX = "LOCK_ES_GOODS_STORE_";

    /**
     * 用户购物车  完整:SHOPPINGTROLLEY_{#UserId}
     */
    public static final String SHOPPINGTROLLEY = "SHOPPINGTROLLEY_";

}
