package cn.wise.sc.pay.domain.eshopping.model.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 物流模板父表实体类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("logistics_parent")
public class LogisticsParent extends Model<LogisticsParent> {

    /**
     *
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 模板名称
     */
    private String name;
    /**
     * 计费方式，0：按件数计费，1：按重量计费
     */
    private Integer feeWay;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 修改时间
     */
    private Long updateTime;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
