package cn.wise.sc.pay.domain.eshopping.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class EshopGoodsSpecification implements Serializable {

    private static final long serialVersionUID = 4065072772447018088L;

    private Integer goodsId;

    private String goodsName;

    private Integer templateId;

    private Integer goodsTransfeeCharge;

    private Long id;

    private Double price;

    private Double weight;

}
