package cn.wise.sc.pay.business.exhibition.configure;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;

/**
 **/
@Data
@RefreshScope
@ConfigurationProperties(prefix = "qrcode")
public class QRCodeProperties {

    /**
     * 宽
     */
    private int width = 150;

    /**
     * 高
     */
    private int height = 150;

}
