package cn.wise.sc.pay.business.exhibition.mapper;

import cn.wise.sc.pay.domain.exhibition.vo.ExhibtCommentListVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 根据关键字联表查询评论列表，分页
 */
@Mapper
public interface ExhibitionCommentLIstByKeyMapper {
    /**
     * 根据关键字查询评论列表
     * @param pageNo
     * @param pageSize
     * @param type
     * @param title
     * @param nickName
     * @return
     */
    List<ExhibtCommentListVo> selectCommentList(Integer pageNo, Integer pageSize, String type, String title, String nickName);

    /**
     * 根据关键字查询评论列表总条数
     * @param type
     * @param title
     * @param nickName
     * @return
     */
    Integer selectCommentListSize(String type, String title, String nickName);
}
