package cn.wise.sc.pay.domain.exhibition.po;

import cn.wise.sc.pay.domain.exhibition.bean.EntranceQrcode;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 票据消息领域对象
 * @author: qh
 * @create: 2020-06-08 14:39
 **/
@Data
public class RQCodeInfoDo implements Serializable {

    /**
     * 票据消息
     */
    private EntranceQrcode entranceQrcode;

    /**
     * 所属标题
     */
    private String title;

    /**
     * 所属描述
     */
    private String describe;

    /**
     * 展览图片
     */
    private String exUrl;
}
