package cn.wise.sc.pay.domain.exhibition.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @description:
 * @author: qh
 * @create: 2019-11-22 16:35
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderVO implements Serializable {

    private static final long serialVersionUID = -93019838770159796L;

    /**
     * 订单号
     */
    private String oderNo;

    /**
     * 商品信息
     */
    private String commodity;

    /**
     * 金额
     */
    private BigDecimal needPay;

}
