package cn.wise.sc.pay.api.merchant.service.hystrix;

import cn.wise.sc.pay.api.merchant.service.IMerchantService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.domain.merchant.bean.Merchant;
import cn.wise.sc.pay.domain.merchant.query.MerchantQuery;
import cn.wise.sc.pay.domain.merchant.vo.StoreVo;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @description: 商户断路器
 * @author: lqk
 * @create: 2019-12-25
 **/
@Component(value = "MerchantImplHy")
public class MerchantImpl implements IMerchantService {

    @Override
    public BaseResponse loginMerchant(String merchantAppid, String password) {
        error();
        return null;
    }

    @Override
    public BaseResponse getMerchantByIds(List<Long> ids) {
        error();
        return null;
    }

    @Override
    public BaseResponse getDeviceUser(String deviceCode, String username) {
        error();
        return null;
    }

    @Override
    public BaseResponse getMerchNameByIds(List<Long> merchIds) {
        error();
        return null;
    }

    @Override
    public BaseResponse<List<Long>> getMerchantIdByName(String merchantName) {
        error();
        return null;
    }

    @Override
    public BaseResponse<Merchant> getMerchantInfo(Long id) {
        error();
        return null;
    }

    @Override
    public BaseResponse getMerchList(String merchName) {
        return null;
    }

    @Override
    public BaseResponse addMerchant(MerchantQuery merchantQuery) {
        return null;
    }

    @Override
    public BaseResponse deleteMerchant(Long merchantId) {
        return null;
    }

    @Override
    public BaseResponse updatemerchant(Merchant merchant) {
        return null;
    }

    @Override
    public BaseResponse<Page<Merchant>> getMerchantPage(Integer status,
                                                        String merchantName,
                                                        Integer pageNo,
                                                        Integer pageSize,
                                                        Long start,
                                                        Long end) {
        return null;
    }

    @Override
    public BaseResponse getMerchantOrders(String merchAppid, long start, long end, String status) {
        return null;
    }

    @Override
    public BaseResponse getMerchStaff(Long merchId, String username, Integer pageNo, Integer pageSize) {
        return null;
    }

    @Override
    public BaseResponse getMerchantStaff(Long merchId, Integer roleId, String username, Integer pageNo, Integer pageSize) {
        error();
        return null;
    }

    @Override
    public void exportMerchantList(Integer status, HttpServletResponse response) {
        error();
    }

    @Override
    public BaseResponse cancelWhiteList(Long id) {
        error();
        return null;
    }

    @Override
    public BaseResponse addWhiteList(Long id) {
        error();
        return null;
    }

    @Override
    public BaseResponse getStoreInfo(Long id) {
        error();

        return null;
    }

    @Override
    public BaseResponse list(PageWrapperQuery pageWrapperQuery) {
        error();

        return null;
    }

    @Override
    public BaseResponse updateStore(StoreVo storeVo) {
        error();
        return null;
    }

    @Override
    public BaseResponse<Boolean> checkPwd(String seller, String pwd) {

        return BaseResponse.ok(false);
    }

    @Override
    public BaseResponse getStoreInfoPage(PageWrapperQuery pageWrapperQuery) {
        error();
        return null;
    }

    @Override
    public BaseResponse<String> addSensitivePwd(Integer seller, String sensitivePwd) {
        return null;
    }

    @Override
    public BaseResponse<String> updateSensitivePwd(String seller, String sensitivePwd) {
        error();
        return null;
    }

    @Override
    public BaseResponse<String> deleteSensitivePwd(String seller) {
        error();
        return null;
    }

    /**
     * 服务异常
     *
     * @return
     */
    private BaseResponse error() {

        throw new RuntimeException("商户服务异常,请检查服务状态!");
    }
}
