package cn.wise.sc.pay.business.merchant.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.ProfitAllocation;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-12-26
 */
public interface IProfitAllocationService extends IService<ProfitAllocation> {

    /**
     * 新增或修改分润配置比
     * @param profit
     * @return
     */
    boolean saveProfit(ProfitAllocation profit);

    IPage page(Page page, Long merchId, String payment);

    boolean saveProfits(List<ProfitAllocation> profits);
}
