package cn.wise.sc.pay.business.merchant.service;

import cn.wise.sc.pay.domain.merchant.bean.TaxCertificate;
import cn.wise.sc.pay.domain.merchant.query.TaxCertificateQuery;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface ITaxCertificateService extends IService<TaxCertificate> {

    /**
     * 添加商户税务信息
     * @param query
     * @return
     */
    ResponseEntity insertTaxCertificate(TaxCertificateQuery query);

    /**
     * 更新商户税务信息
     * @param taxCertificate
     * @return
     */
    ResponseEntity updateTaxCertificate(TaxCertificate taxCertificate);
}
