package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName BannerMenu
 * @Description :导航菜单
 * @Author lqk
 * @Date 2020/2/6
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BannerMenu extends Model<BannerMenu> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String name;

    private String menuUrl;

    private String menuIcon;

    private Integer orderNum;

    private Integer delFlag;

    private String field;

    private Long createTime;

    private Long updateTime;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
