package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ClassName MerchCategory
 * @Description :
 * @Author lqk
 * @Date 2019/12/17
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantProfit extends Model<MerchantProfit> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 分类父id
     */
    private Long merchantId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 分类等级
     */
    private BigDecimal aosMoney;

    /**
     * 创建时间
     */
    private BigDecimal cmbMoney;

    /**
     * 创建时间
     */
    private Long createTime;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
