package cn.wise.sc.pay.api.order.service.impl;

import cn.wise.sc.pay.api.order.service.IZHPaymentService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @description: 招行聚合支付 熔断器
 * @author: qh
 * @create: 2020-01-14 10:32
 **/
@Component("orderIZHPaymentService")
public class ZHPaymentServiceImplHystrix implements IZHPaymentService {

    @Override
    public ResponseEntity<Map<String, Object>> getUserOpenId(String code) {
        return null;
    }

    @Override
    public BaseResponse wxUnifiedOrder(HttpServletRequest request, String orderId,
                                       String openId, String body, String txnAmt,
                                       String sellerId) {
        error();
        return null;
    }

    @Override
    public BaseResponse payResultQuery(String cmbOrderId, String orderId, String sellerId) {
        return null;
    }

    @Override
    public BaseResponse payResultNotice(String cmbOrderId, String orderId, String txnAmt,
                                        String dscAmt, String payType, String txnTime,
                                        String sellerId) {
        return null;
    }

    @Override
    public BaseResponse payRefundQuery(String orderId, String origCmbOrderId, String sellerId) {
        return BaseResponse.error("失败！", this.getClass().getName());
    }

    @Override
    public BaseResponse applyForRefund(String orderId, String origOrderId,
                                       String txnAmt, String refundAmt,
                                       String refundReason, String sellerId) {
        return null;
    }

    @Override
    public BaseResponse payRefundNotice(String orderId, String cmbOrderId, String refundAmt, String refundDscAmt, String couponInfo, String payType, String txnTime, String endDate, String endTime, String mchReserved) {
        return null;
    }

    @Override
    public BaseResponse closeOrder(String origOrderId, String origCmbOrderId, String sellerId) {
        return null;
    }

    @Override
    public BaseResponse getBillUrl(String billDate, String sellerId) {
        return null;
    }

    @Override
    public BaseResponse setSecretKey(String platformId, String digEvpEncMth, String digEvp, String encryptMethod, String encryptInfo, String keyTpye, String keyLen, String mchKey, String updateUrl) {
        return null;
    }

    @Override
    public BaseResponse servicePay(String deviceInfo, String orderId, String tradeScene,
                                   String body, String mchReserved, String timeoutExpress,
                                   String notifyUrl, String txnAmt, String currencyCode,
                                   String disablePayChannels, String buyerLogonId,
                                   String buyerId, String identity, String policyNo, String region,
                                   String sellerId
    ) {
        error();
        return null;
    }

    private void error() {
        throw new RuntimeException("支付服务异常");
    }
}
