package cn.wise.sc.pay.business.order.consumer.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 *
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsMq {
    private long id;

    /**
     * 商品名
     */
    private String name;

    /**
     *单价
     */
    private BigDecimal price;

    /**
     * 总价
     */
    private BigDecimal totalPrice;

    /**
     * 数量
     */
    private Integer buyCount;

    /**
     * 一级规格名
     */
    private String spcName;

    /**
     * 二级规格名
     */
    private String spcDetalName;

    /**
     * 二级规格id
     */
    private List<Long> spcDetailId;

    /**
     * 额外属性1
     */
    private String field1;

    /**
     * 额外属性2
     */
    private String field2;
}
