package cn.wise.sc.pay.business.order.weichat.OAuth;

import cn.wise.sc.pay.business.order.model.WxUser;
import cn.wise.sc.pay.business.order.service.WeiXinDaoImpl;
import cn.wise.sc.pay.business.order.weichat.model.OAuthAccessToken;
import cn.wise.sc.pay.business.order.weichat.model.UseValue;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
public class OAuthAPIServlet extends HttpServlet {

	private static final long serialVersionUID = 1L;

	@Override
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		this.doPost(request, response);
	}

	@Override
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		response.setContentType("text/html;charset=utf-8");
		request.setCharacterEncoding("utf-8");
		response.setCharacterEncoding("utf-8");
		String code = request.getParameter("code");
		WeiXinDaoImpl dao = new WeiXinDaoImpl();
		WxUser entity = null;
		try {
			OAuthAccessToken oac = dao.getOAuthAccessToken(UseValue.AppId, UseValue.AppSecret, code);
			// 通过code换取网页授权access_token
			// log.info("--------------------" + oac.getAccessToken() + ";" +
			// oac.getRefreshToken() + ";" + oac.getScope() + ";" +
			// oac.getOpenid());
			OAuthAccessToken oacd = dao.refershOAuthAccessToken(UseValue.AppId, oac.getRefreshToken());
			// 刷新access_token
			// log.info("--------------------" + oacd.getAccessToken() + ";" +
			// oacd.getRefreshToken() + ";" + oacd.getScope() + ";Openid:" +
			// oacd.getOpenid());
			entity = dao.acceptOAuthUserNews(oacd.getAccessToken(), oacd.getOpenid());
			// 获取用户信息
			// log.info("--------------------" + entity.getNickname() + ";" +
			// entity.getCountry());
		} catch (Exception e) {
			e.printStackTrace();
		}
		// log.info("-------------------sdffsd-" + entity.getNickname() + ";" +
		// entity.getCountry());
		request.setAttribute("user", entity);

		// 跳转到界面
		request.getRequestDispatcher("../index.jsp").forward(request, response);
	}

}
