package cn.wise.sc.pay.domain.order.model;

/**
 * @description: 订单状态枚举
 * @author: qh
 * @create: 2019-11-22 15:29
 **/
public enum OrderStatus {
    /**
     * 所有订单
     */
    ALL,
    /**
     * 已完成
     */
    COMPLETE,
    /**
     * 已取消
     */
    CANCELLED,
    /**
     * 支付中
     */
    CONFIRM,
    /**
     * 待发货
     */
    WAIT_DELIVERING,
    /**
     * 待收货
     */
    WAIT_RECEIVE,

    /**
     * 挂单
     */
    ENTRY_ORDER,
    /**
     * 取单
     */
    EXIT_ORDER,
    REFUNDING,
    /*
     * 待评价
     */
    WAIT_COMMENT,
    /**
     * 待支付
     */
    WAIT_PAY,

    /**
     * 已退款
     */
    REFUND

}
