package cn.wise.sc.pay.domain.order.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2020-02-10
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class XpenseTracker extends Model<XpenseTracker> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String name;

    private Double price;

    private Long userId;

    private String orderNo;

    private Long createTime;

    private Integer num;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
