package cn.wise.sc.payment.cmb.model;

import lombok.Data;

/**
 * @description: 商户支付信息入驻
 * @author: qh
 * @create: 2020-09-16 10:32
 **/
@Data
public class MerchantPayPro {

    /**
     * 商户号 招行分配的
     */
    private String merId;

    /**
     * 收银员 招行分配的
     */
    private String cashier;

    /**
     * 招行分配的appId 唯一
     */
    private String cmbAppId;

    /**
     * 招行分配的密钥
     */
    private String secretKey;

    /**
     * 商户私钥 需要去聚合支付平台配置
     */
    private String merchantPrivateKey;

}
