package cn.wise.sc.pay.api.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.point.query.GoodExchangeQuery;
import cn.wise.sc.pay.domain.point.query.GoodRecordAddressQuery;
import org.springframework.stereotype.Component;

/**
 * @description: 商品兑换记录断路器
 * @author: qh
 * @create: 2020-04-28 15:09
 **/
@Component
public class GoodRecordServiceImpl implements IGoodRecordService{

    @Override
    public BaseResponse pageByUserId(Long userId, PageQuery pageQuery) {
        return BaseResponse.hystrixError("jw");
    }

    @Override
    public BaseResponse addAddressById(GoodRecordAddressQuery goodRecordAddressQuery) {
        return BaseResponse.hystrixError("jw");
    }

    @Override
    public BaseResponse exchangeGoods(GoodExchangeQuery goodExchangeQuery) {
        return BaseResponse.hystrixError("jw");
    }

    @Override
    public BaseResponse pageExchange(PageQuery pageQuery) {
        return BaseResponse.hystrixError("jw");
    }

    @Override
    public BaseResponse getLatestRecords(Integer size) {
        return BaseResponse.hystrixError("jw");
    }
}
