package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2019-11-13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PointDetail extends Model<PointDetail> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 积分途径
     */
    @TableField("pathway")
    private String pathway;
    /**
     * 1:收入 0:支出
     */
    @TableField("in_out")
    private Integer inOut;

    /**
     * 具体积分
     */
    @TableField("score")
    private Double score;
    /**
     * 创建时间
     */
    @TableField("create_time")
    private Long createTime;
    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
