package cn.wise.sc.pay.domain.point.enums;

/**
 * 签到奖励按天累计枚举类
 */
public enum SignRewardEnum {
    //基础积分
    BASIC_POINT(0, "基础积分"),
    //每天累计
    DAY_CUMULATIVE(1, "每天累计"),
    //清0天数
    RESET_DAYS(2, "清0天数");
    private Integer flag;
    private String code;

    private SignRewardEnum(Integer flag, String code) {
        this.flag = flag;
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public Integer getFlag() {
        return flag;
    }
}
